Bug 474979 - gpk-update-icon and gpk-application crash with dbus_set_error() in f9 and f10 (updated from f8)
gpk-update-icon and gpk-application crash with dbus_set_error() in f9 and f10...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 05:38 EST by dr.trigon
Modified: 2009-09-13 15:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-13 15:41:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gpk-update-icon crash report (1.42 KB, text/plain)
2008-12-06 05:46 EST, dr.trigon
no flags Details
gpk-application crash report (2.08 KB, application/octet-stream)
2008-12-06 05:48 EST, dr.trigon
no flags Details
gpk-application crash report (2.08 KB, text/plain)
2008-12-06 05:52 EST, dr.trigon
no flags Details
latest gpk-application crash report (280.25 KB, text/plain)
2008-12-14 03:35 EST, dr.trigon
no flags Details
System Bugreport (349.96 KB, text/plain)
2009-08-09 00:54 EDT, Robert McBroom
no flags Details
gpk-update-viewer-bugreport (308.60 KB, text/plain)
2009-08-09 00:58 EDT, Robert McBroom
no flags Details

  None (edit)
Description dr.trigon 2008-12-06 05:38:57 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; de; rv:1.9.0.4) Gecko/2008111217 Fedora/3.0.4-1.fc9 Firefox/3.0.4

When I want to use either 'gpk-update-icon' or 'gpk-application' to update/change the packages on my system, they crash with a dbus error. My system was fedora 8 updated with PreUpdater and yum to fedora 9. Update in terminal with yum still works.


Reproducible: Always

Steps to Reproduce:
1. use 'gpk-update-icon' or 'gpk-application'

Actual Results:  
both crash with a dbus error:

arguments to dbus_set_error() were incorrect, assertion "(error) == NULL || !dbus_error_is_set ((error))" failed in file dbus-errors.c line 363.
This is normally a bug in some application using the D-Bus library.
  D-Bus not built with -rdynamic so unable to print a backtrace


Expected Results:  
'gpk-update-icon' should update my system and 'gpk-application' should install/remove the choosen packages on my system.

I don't know if it's security related bug. For me I can update with yum (even this is not that confortable), but for other users it could arise a security problem if they miss to update the system.
Comment 1 dr.trigon 2008-12-06 05:46:25 EST
Created attachment 325980 [details]
gpk-update-icon crash report
Comment 2 dr.trigon 2008-12-06 05:48:03 EST
Created attachment 325981 [details]
gpk-application crash report

(this bug report was much longer but I don't have this part anymore... but can save the next bug reports and contribute them if wished!)
Comment 3 dr.trigon 2008-12-06 05:52:30 EST
Created attachment 325982 [details]
gpk-application crash report 

(this bug report was much longer but I don't have this part anymore... but can
save the next bug reports and contribute them if wished!)
Comment 4 dr.trigon 2008-12-14 03:35:39 EST
Created attachment 326848 [details]
latest gpk-application crash report

This is the latest crash report, after yesterdays 'PackageKit' update. Still the same issue!!!
Comment 5 Richard Hughes 2009-01-14 08:34:28 EST
Can you please describe what you were doing with your system, and provide the version of PackageKit you are using. Thanks.
Comment 6 dr.trigon 2009-01-14 16:50:29 EST
(In reply to comment #5)
> Can you please describe what you were doing with your system, and provide the
> version of PackageKit you are using. Thanks.

I hope I'm understanding your question correct. I use this system as desktop OS on my laptop. The problem occurs always when I try to use either 'gpk-update-icon' or 'gpk-application' to update my system or install a package.
The PackageKit is 0.3.12-1.fc9@i386 all other somehow related packages are the same version except gnome-packagekit is 0.3.12-3.fc9@i386.
By the way I had another issue here probably related; I tried to change date/time settings by clicking on the clock displaying in panel. Then I was forced to authenticate through fingerprint reader (that I'm using) after that nothing else happened, so this didn't work too. I'm writing this because I'm also forced to authenticate by fingerprint reader before the bug occurs.
Comment 7 Richard Hughes 2009-02-16 10:58:54 EST
I don't think PolicyKit works very well in F9 with the fingerprint reader.
Comment 8 dr.trigon 2009-02-16 15:13:19 EST
(In reply to comment #7)
> I don't think PolicyKit works very well in F9 with the fingerprint reader.

Did you mean 'PackageKit'?!

So far I had no problems with fingerprint reader, even gnome screensaver worked well. But everything is possible...
What to do then? Any work-a-round? Any test? ...or is the only way to remove the reader completely for all configs?!

By the way: I upgraded to f10 in the meantime - the problem is still the same (as suggested by other bugs here, e.g. bug 475068, bug 475200).
Comment 9 Robert McBroom 2009-08-09 00:54:42 EDT
Created attachment 356793 [details]
System Bugreport

Error on F11 Install.
Comment 10 Robert McBroom 2009-08-09 00:58:21 EDT
Created attachment 356794 [details]
gpk-update-viewer-bugreport

/usr/share/yumex/dialogs.py:243: GtkWarning: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
Comment 11 Steven M. Parrish 2009-09-07 21:39:00 EDT
Ping?  Any updates on this issue?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 dr.trigon 2009-09-13 12:22:00 EDT
(In reply to comment #11)
> Ping?  Any updates on this issue?
> 
> -- 
> Steven M. Parrish - KDE Triage Master
>                   - PackageKit Triager
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers  

Yes: Till yesterday this was still an issue. Then I decided to upgrade to f11, now the problems disappeared. I was able to use 'gpk-application' to deinstall and then reinstall again 'wormux'. Since then I installed and removed some other packages also with this interface, so it seams to work now!

But I was not able to test 'gpk-update-icon' yet.

Many thanks to f11; this release rules (upgrade worked like a charm and also the fingerprint reader setup was very easy...) -> very nice bunch of code! :)
Comment 13 Steven M. Parrish 2009-09-13 15:41:34 EDT
I thought upgrading might fix it.  F10 had the 0.3.x family of Packagekit which is no longer supported.  Going to close this as WORKSFORME.  Please feel free to reopen if the problem returns.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.